test/com/sun/management/HotSpotDiagnosticMXBean/DumpHeap.sh

Print this page




  15 # accompanied this code).
  16 #
  17 # You should have received a copy of the GNU General Public License version
  18 # 2 along with this work; if not, write to the Free Software Foundation,
  19 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  20 #
  21 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  22 # or visit www.oracle.com if you need additional information or have any
  23 # questions.
  24 #
  25 
  26 
  27 # @test
  28 # @bug 6455258
  29 # @summary Sanity test for com.sun.management.HotSpotDiagnosticMXBean.dumpHeap 
  30 #          method 
  31 #
  32 # @build DumpHeap
  33 # @run shell DumpHeap.sh
  34 
  35 #Set appropriate jdk
  36                                                                                 
  37 if [ ! -z "${TESTJAVA}" ] ; then
  38      jdk="$TESTJAVA"
  39 else
  40      echo "--Error: TESTJAVA must be defined as the pathname of a jdk to test."
  41      exit 1
  42 fi
  43 




  44 failed=0
  45 
  46 # we use the pid of this shell process to name the heap dump output file.
  47 DUMPFILE="java_pid$$.hprof"
  48 
  49 ${TESTJAVA}/bin/java ${TESTVMOPTS} -classpath $TESTCLASSES \
  50     DumpHeap ${DUMPFILE} || exit 2
  51 
  52 # check that heap dump is parsable
  53 ${TESTJAVA}/bin/jhat -parseonly true ${DUMPFILE}
  54 if [ $? != 0 ]; then failed=1; fi
  55 
  56 # dump file is large so remove it
  57 rm ${DUMPFILE}
  58 
  59 exit $failed


  15 # accompanied this code).
  16 #
  17 # You should have received a copy of the GNU General Public License version
  18 # 2 along with this work; if not, write to the Free Software Foundation,
  19 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
  20 #
  21 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
  22 # or visit www.oracle.com if you need additional information or have any
  23 # questions.
  24 #
  25 
  26 
  27 # @test
  28 # @bug 6455258
  29 # @summary Sanity test for com.sun.management.HotSpotDiagnosticMXBean.dumpHeap 
  30 #          method 
  31 #
  32 # @build DumpHeap
  33 # @run shell DumpHeap.sh
  34 
  35 if [ "${TESTJAVA}" = "" ] ; then




  36      echo "--Error: TESTJAVA must be defined as the pathname of a jdk to test."
  37      exit 1
  38 fi
  39 
  40 if [ "${COMPILEJAVA}" = "" ] ; then
  41     COMPILEJAVA="${TESTJAVA}"
  42 fi
  43 
  44 failed=0
  45 
  46 # we use the pid of this shell process to name the heap dump output file.
  47 DUMPFILE="java_pid$$.hprof"
  48 
  49 ${TESTJAVA}/bin/java ${TESTVMOPTS} -classpath $TESTCLASSES \
  50     DumpHeap ${DUMPFILE} || exit 2
  51 
  52 # check that heap dump is parsable
  53 ${COMPILEJAVA}/bin/jhat ${TESTTOOLVMOPTS} -parseonly true ${DUMPFILE}
  54 if [ $? != 0 ]; then failed=1; fi
  55 
  56 # dump file is large so remove it
  57 rm ${DUMPFILE}
  58 
  59 exit $failed